OGRE: Ogre::RTShader::Out Struct Reference

| OGRE 14.5 Object-Oriented Graphics Rendering Engine

Loading...
Searching...
No Matches
Ogre::RTShader::Out Struct Reference
Optional Components » RTShaderSystem

`#include <OgreShaderFunctionAtom.h>`

Inheritance diagram for Ogre::RTShader::Out:
[legend]

## Public Member Functions
| Out (const Operand &rhs)
| Out (ParameterPtr p)
| Out (UniformParameterPtr p)
Public Member Functions inherited from Ogre::RTShader::Operand
| Operand (const Operand &rhs)
| Copy constructor.
| Operand (ParameterPtr parameter, OpSemantic opSemantic, OpMask opMask=OPM_ALL, ushort indirectionLevel=0)
| Class constructor.
| ~Operand ()
| Class destructor.
ushort | getIndirectionLevel () const
| Returns the level of indirection.
OpMask | getMask () const
| Returns the mask bitfield.
const ParameterPtr & | getParameter () const
| Returns the parameter object as weak reference.
OpSemantic | getSemantic () const
| Returns the operand semantic (do we read/write or both with the parameter).
bool | hasFreeFields () const
| Returns true if not all fields used.
Operand & | mask (OpMask opMask)
Operand & | operator= (const Operand &rhs)
| Copy the given Operand to this Operand.
void | setMaskToParamType ()
| automatically set swizzle to match parameter arity
Operand & | w ()
void | write (std::ostream &os) const
| write the parameter name and the usage mask like this 'color.xyz'
Operand & | x ()
Operand & | xy ()
Operand & | xyz ()
Operand & | y ()
Operand & | z ()

## Additional Inherited Members
Public Types inherited from Ogre::RTShader::Operand
enum | OpMask : uchar { OPM_NONE = 0 , OPM_X = 0x0001 , OPM_Y = 0x0002 , OPM_Z = 0x0004 , OPM_W = 0x0008 , OPM_XY = OPM_X | OPM_Y , OPM_XZ = OPM_X | OPM_Z , OPM_XW = OPM_X | OPM_W , OPM_YZ = OPM_Y | OPM_Z , OPM_YW = OPM_Y | OPM_W , OPM_ZW = OPM_Z | OPM_W , OPM_XYZ = OPM_X | OPM_Y | OPM_Z , OPM_XYW = OPM_X | OPM_Y | OPM_W , OPM_XZW = OPM_X | OPM_Z | OPM_W , OPM_YZW = OPM_Y | OPM_Z | OPM_W , OPM_XYZW = OPM_X | OPM_Y | OPM_Z | OPM_W , OPM_ALL = OPM_XYZW }
enum | OpSemantic { OPS_IN , OPS_OUT , OPS_INOUT }
Static Public Member Functions inherited from Ogre::RTShader::Operand
static int | getFloatCount (int mask)
| Return the float count of the given mask.

## Constructor & Destructor Documentation

## ◆ Out() [1/3]

Ogre::RTShader::Out::Out | ( | const Operand & | rhs | ) |
| inline

References Ogre::RTShader::Operand::Operand(), OgreAssert, and Ogre::RTShader::Operand::OPS_OUT.

## ◆ Out() [2/3]

Ogre::RTShader::Out::Out | ( | ParameterPtr | p | ) |
| inline

References Ogre::RTShader::Operand::Operand(), and Ogre::RTShader::Operand::OPS_OUT.

## ◆ Out() [3/3]

Ogre::RTShader::Out::Out | ( | UniformParameterPtr | p | ) |
| inline

References Ogre::RTShader::Operand::Operand(), and Ogre::RTShader::Operand::OPS_OUT.

The documentation for this struct was generated from the following file:

- OgreShaderFunctionAtom.h